[Libreoffice-commits] .: solenv/bin
Bjoern Michaelsen
bmichaelsen at kemper.freedesktop.org
Sun Mar 27 17:58:32 PDT 2011
solenv/bin/subsequenttests | 109 +++++++++++----------------------------------
1 file changed, 29 insertions(+), 80 deletions(-)
New commits:
commit f085be90d0e3fef81c20cb54e2fa67ef42980936
Author: Bjoern Michaelsen <bjoern.michaelsen at canonical.com>
Date: Mon Mar 28 02:56:15 2011 +0200
getting reid of the perl cruft in all
diff --git a/solenv/bin/subsequenttests b/solenv/bin/subsequenttests
index f5159a1..5052523 100755
--- a/solenv/bin/subsequenttests
+++ b/solenv/bin/subsequenttests
@@ -1,80 +1,29 @@
-eval 'exec "$PERL" -Sw "$0" "$@"'
- if 0;
-#*************************************************************************
-#
-# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
-#
-# Copyright 2000, 2010 Oracle and/or its affiliates.
-#
-# OpenOffice.org - a multi-platform office productivity suite
-#
-# This file is part of OpenOffice.org.
-#
-# OpenOffice.org is free software: you can redistribute it and/or modify
-# it under the terms of the GNU Lesser General Public License version 3
-# only, as published by the Free Software Foundation.
-#
-# OpenOffice.org is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU Lesser General Public License version 3 for more details
-# (a copy is included in the LICENSE file that accompanied this code).
-#
-# You should have received a copy of the GNU Lesser General Public License
-# version 3 along with OpenOffice.org. If not, see
-# <http://www.openoffice.org/license.html>
-# for a copy of the LGPLv3 License.
-#
-#***********************************************************************/
-
-use lib("$ENV{SOLARENV}/bin/modules");
-
-my $keep_going = 0;
-my $dry_run = 0;
-my $max_running = 1;
-while (@ARGV) {
- my $arg = shift(@ARGV);
- if ($arg =~ /^-P([1-9]\d*)$/) {
- $max_running = $1;
- } elsif ($arg eq '--') {
- last;
- } else {
- my $n = substr($arg, 0, 1) eq '-' ? 1 : 0;
- while ($n && $n < length($arg)) {
- my $c = substr($arg, $n++, 1);
- if ($c eq 'k') {
- $keep_going = 1;
- } elsif ($c eq 'n') {
- $dry_run = 1;
- } else {
- $n = 0;
- last;
- }
- }
- if (!$n) {
- print STDERR "unknown argument \"$arg\"\n";
- print STDERR "usage: $0 [-kn] [-P<n>]\n";
- print STDERR " -k continue upon failure\n";
- print STDERR " -n write directories that would be processed\n";
- print STDERR " to standard output (defunct) \n";
- print STDERR " -P<n> number of parallel invocations\n";
- exit(1);
- }
- }
-}
-
-my $module;
-my $gbuildpath = "$ENV{'SOLARSRC'}/GNUmakefile.mk";
-
-my @failedpaths = ();
-my @gbuildargs = ("-j$max_running", "-s");
-if ($keep_going) {
- push(@gbuildargs,"-k");
-}
-push(@gbuildargs, "--file=$gbuildpath");
-push(@gbuildargs, "subsequentcheck");
-if (system($ENV{'GNUMAKE'}, @gbuildargs) != 0) {
- push(@failedpaths,$gbuildpath);
-}
-
-exit(scalar(@failedpaths) == 0 ? 0 : 1);
+#!/bin/sh
+# Version: MPL 1.1 / GPLv3+ / LGPLv3+
+#
+# The contents of this file are subject to the Mozilla Public License Version
+# 1.1 (the "License"); you may not use this file except in compliance with
+# the License or as specified alternatively below. You may obtain a copy of
+# the License at http://www.mozilla.org/MPL/
+#
+# Software distributed under the License is distributed on an "AS IS" basis,
+# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
+# for the specific language governing rights and limitations under the
+# License.
+#
+# The Initial Developer of the Original Code is
+# Bjoern Michaelsen, Canonical Ltd. <bjoern.michaelsen at canonical.com>
+# Portions created by the Initial Developer are Copyright (C) 2010 the
+# Initial Developer. All Rights Reserved.
+#
+# Major Contributor(s):
+#
+# For minor contributions see the git repository.
+#
+# Alternatively, the contents of this file may be used under the terms of
+# either the GNU General Public License Version 3 or later (the "GPLv3+"), or
+# the GNU Lesser General Public License Version 3 or later (the "LGPLv3+"),
+# in which case the provisions of the GPLv3+ or the LGPLv3+ are applicable
+# instead of those above.
+set -e
+${GNUMAKE} -sf ${SOLARSRC}/GNUmakefile.mk subsequentcheck $*
More information about the Libreoffice-commits
mailing list